Package fails to build

Bug #705510 reported by Peter Pearse
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Groff
Invalid
Undecided
Unassigned
groff (Ubuntu)
Invalid
Undecided
Unassigned
Natty
Invalid
Undecided
Unassigned
libx11 (Ubuntu)
Fix Released
High
Bryce Harrington
Natty
Fix Released
High
Bryce Harrington

Bug Description

Description: Ubuntu natty (development branch)
Release: 11.04

(VMware image running on Maverick)
Also in Natty chroot running on Maverick

libx11 (2:1.3.3-3ubuntu2) natty; urgency=low

> apt-get source lib11
Reading package lists... Done
Building dependency tree
Reading state information... Done
NOTICE: 'libx11' packaging is maintained in the 'Git' version control system at:
git://git.debian.org/git/pkg-xorg/lib/libx11
Skipping already downloaded file 'libx11_1.3.3-3ubuntu2.dsc'
Skipping already downloaded file 'libx11_1.3.3.orig.tar.gz'
Skipping already downloaded file 'libx11_1.3.3-3ubuntu2.diff.gz'
Need to get 0 B of source archives.
gpgv: Signature made Mon 22 Nov 2010 09:44:35 PM GMT using DSA key ID E0E67611
gpgv: Can't check signature: public key not found
dpkg-source: warning: failed to verify signature on ./libx11_1.3.3-3ubuntu2.dsc
dpkg-source: info: extracting libx11 in libx11-1.3.3
dpkg-source: info: unpacking libx11_1.3.3.orig.tar.gz
dpkg-source: info: applying libx11_1.3.3-3ubuntu2.diff.gz
dpkg-source: info: upstream files that have been modified:
 libx11-1.3.3/ChangeLog
 libx11-1.3.3/autogen.sh
 libx11-1.3.3/specs/libX11/indexmacros.t
 libx11-1.3.3/src/XlibInt.c

> cd libx11-1.3.3
> dpkg-buildpackage -nc >& ../alog

Tags: patch

Related branches

Revision history for this message
Peter Pearse (peter-pearse) wrote :

Log attached

groff fails

Revision history for this message
Peter Pearse (peter-pearse) wrote :

Builds on Maverick

Copy up source from natty chroot
> sudo apt-get build-dep libx11
> dpkg-source -x libx11_1.3.3-3ubuntu2.dsc
> cd libx11_1.3.3
> dpkg-buildpackage -nc
....
....
dpkg-source --after-build libx11-1.3.3
dpkg-buildpackage: binary and diff upload (original source NOT included)
dpkg-buildpackage: warning: Failed to sign .changes file

Revision history for this message
Peter Pearse (peter-pearse) wrote :

natty VMWare:
Linux XXXX 2.6.37-12-generic #26-Ubuntu SMP Wed Jan 5 18:42:49 UTC 2011 i686 GNU/Linux

maverick lenovo:
Linux XXXX 2.6.35-25-generic-pae #43-Ubuntu SMP Thu Jan 6 22:42:26 UTC 2011 i686 GNU/Linux

Revision history for this message
Peter Pearse (peter-pearse) wrote :

If I install groff=1.20.1 in Natty I can build libx11=1.3.3 OK

Revision history for this message
Colin Watson (cjwatson) wrote :

groff changed the format of some of its warning messages in 1.21. The libx11 build process appears to have been trying to parse this, and the format change broke this. However, these messages are only human-readable, and libx11 really shouldn't have been trying to parse them in the first place.

(man-db, which I maintain, had a similar problem in its test suite. This was my fault, and I fixed it properly upstream.)

I tried to adjust the tbl markup to avoid the warnings in the first place (usually by changing the widest "description" column in a table to use an "x" column specifier, i.e. an expanded column, rather than a column specifier beginning with "w", i.e. an explicit minimal column width), but it seems tricky to do that in all cases. It's probably also ultimately a waste of effort since these documents were converted to DocBook XML upstream in libX11 1.4.1.

Therefore, I suggest the attached patch to simply ignore this specific warning for now. You'll need to rerun automake or otherwise update specs/*/Makefile.in.

Revision history for this message
Colin Watson (cjwatson) wrote :
Changed in groff:
status: New → Invalid
Changed in groff (Ubuntu):
status: New → Invalid
Changed in libx11 (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Revision history for this message
Peter Pearse (peter-pearse) wrote :

Works for me.

Revision history for this message
Peter Pearse (peter-pearse) wrote :

Patched package uploaded to https://launchpad.net/~peter-pearse/+archive/cross-source
libx11 2:1.3.3-3ubuntu2.1

tags: added: patch
Revision history for this message
Martin Pitt (pitti) wrote :

Colin, thanks for the patch! Chris/Bryce, can you please integrate it into libX11? This presumably applies to Debian as well?

Changed in libx11 (Ubuntu Natty):
assignee: nobody → Chris Halse Rogers (raof)
Revision history for this message
Colin Watson (cjwatson) wrote : Re: [Bug 705510] Re: Package fails to build

groff 1.21 is only in Debian experimental right now due to the freeze,
but I intend to upload it to unstable immediately after squeeze
releases.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libx11 - 2:1.3.3-3ubuntu3

---------------
libx11 (2:1.3.3-3ubuntu3) natty; urgency=low

  * Add 103_fix_groff_grep.patch: Correct for changes to groff warning
    message formatting in groff 1.21. Fixes FTBS in libx11.
    Thanks cjwatson.
    (LP: #705510)
 -- Bryce Harrington <email address hidden> Fri, 28 Jan 2011 11:45:26 -0800

Changed in libx11 (Ubuntu Natty):
status: Confirmed → Fix Released
Bryce Harrington (bryce)
Changed in libx11 (Ubuntu Natty):
assignee: Chris Halse Rogers (raof) → Bryce Harrington (bryce)
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments